#include <iostream>
using namespace std;
#include <math.h>
int main()
{
  float p, q, r;
  long long int g1, g2;
  long long int i=0;
  cin>>p;
  cin>>q;
  cin>>r;
  cin>>g1;
  cin>>g2;
 long long int brojac=0;
 float raz1, raz2, raz3, rez;
 for(i=g1; i<(g2+1); i++)
 {
     raz1=i/p;
     raz2=i/q;
     raz3=i/r;
     raz1 = ceil(raz1);
     raz2  = ceil(raz2);
     raz3  = ceil(raz3);
     rez=raz1 +raz2 +raz3;
     if(rez<(i+1))
     {
     brojac= brojac+ 1;    
         
     }
     
 }
 
 cout<< brojac;
}